﻿using C1.Win.C1FlexGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FlexGrouping
{
  public partial class Form1 : Form
  {
    /// <summary>
    /// "COL_GROUPING" is the name of the grouping col
    /// </summary>
    private const string COL_GROUPING = "COL_GROUPING";
    private const string COL_DATA = "COL_DATA";
    public Form1()
    {
      InitializeComponent();

      for (int row = this.c1FlexGrid1.Rows.Fixed; row < this.c1FlexGrid1.Rows.Count; row++)
      {
        this.c1FlexGrid1[row, COL_GROUPING] = "Group " + (row / 5);

        this.c1FlexGrid1[row, COL_DATA] = "Row " + (row);
      }


      this.c1FlexGrid1.AllowMerging = AllowMergingEnum.Nodes;
      //Blendet die Spalte aus und macht die Gruppierung in der ersten Gridspalte.
      //Sonst werden die Gruppierungstexte nochmal ausgegeben. 
      this.c1FlexGrid1.HideGroupedColumns = true;
      //Die Gruppierungsspalte nochmnal explizit ausblenden, damit die in der ungruppierten Anzeige nicht sichtbar wird.
      this.c1FlexGrid1.Cols[COL_GROUPING].Visible = false;
      this.c1FlexGrid1.GroupHeaderFormat = "{value}";
      //"CompleteLeaf" bringt auch die ButtonBar mit.
      this.c1FlexGrid1.Tree.Style = TreeStyleFlags.CompleteLeaf;

      this.c1FlexGrid1.GroupDescriptions = new C1.Win.C1FlexGrid.GroupDescription[] { new C1.Win.C1FlexGrid.GroupDescription(COL_GROUPING, null) };

    }
  }
}
